* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: #272727;
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
}

.menu-btn {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80px;
  height: 80px;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
  border: 3px solid #fff;
}

.menu-btn__burger {
  width: 50px;
  height: 6px;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(255, 101, 47, 0.2);
  transition: all 0.5s ease-in-out;
}
.menu-btn__burger::before,
.menu-btn__burger::after {
  content: "";
  position: absolute;
  width: 50px;
  height: 6px;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(255, 101, 47, 0.2);
  transition: all 0.5s ease-in-out;
}
.menu-btn__burger::before {
  transform: translateY(-16px);
}

.menu-btn__burger::after {
  transform: translateY(16px);
}

/* ANIMATION */
.menu-btn.open .menu-btn__burger {
  transform: translateX(-50px);
  background: transparent;
  box-shadow: none;
}

.menu-btn.open .menu-btn__burger::before {
  transform: rotate(45deg) translate(35px, -35px);
}

.menu-btn.open .menu-btn__burger::after {
  transform: rotate(-45deg) translate(35px, 35px);
}

#hambugerCheck {
  display: none;
}

.menu-btn1 {
  /* position: relative; */
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80px;
  height: 80px;
  cursor: pointer;
  transition: all 0.5s ease-in-out;
  border: 3px solid #fff;
  /* margin-right: 50px; */
}

/* center span */
.menu-btn1__burger {
  width: 50px;
  height: 6px;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(255, 101, 47, 0.2);
  transition: all 0.5s ease-in-out;
  /* margin-right: 50px; */
}

/* Design top and bottom span */
.menu-btn1__burger::before,
.menu-btn1__burger::after {
  content: "";
  position: absolute;
  width: 50px;
  height: 6px;
  background: #fff;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(255, 101, 47, 0.2);
  transition: all 0.5s ease-in-out;
}

/* Design top span */
.menu-btn1__burger::before {
  transform: translateY(-16px);
}
/* Design bottom span */
.menu-btn1__burger::after {
  transform: translateY(16px);
}

#hambugerCheck:checked ~ .menu-btn1 > label > .menu-btn1__burger {
  transform: translateX(-50px);
  background: transparent;
  box-shadow: none;
}

#hambugerCheck:checked ~ .menu-btn1 > label > .menu-btn1__burger::before {
  transform: rotate(45deg) translate(35px, -35px);
}

#hambugerCheck:checked ~ .menu-btn1 > label > .menu-btn1__burger::after {
  transform: rotate(-45deg) translate(35px, 35px);
}

/* ANIMATION */
.menu-btn.open .menu-btn__burger {
  transform: translateX(-50px);
  background: transparent;
  box-shadow: none;
}

.menu-btn.open .menu-btn__burger::before {
  transform: rotate(45deg) translate(35px, -35px);
}

.menu-btn.open .menu-btn__burger::after {
  transform: rotate(-45deg) translate(35px, 35px);
}
